---
title: "Focalboard now ships with Mattermost v5.36 and later"
slug: mattermost-focalboard-release
date: 2021-06-18
categories:
    - "release"
author: Chen Lim
github: chenilim
community: chen-i.lim
---

![Mattermost-Focalboard](https://user-images.githubusercontent.com/46905241/121941290-ee355280-cd03-11eb-9b9f-f6f524e4103e.gif)

This week, Focalboard got a massive upgrade by also [shipping as part of Mattermost](https://mattermost.com/blog/mattermost-release-v5-36/)! For those new to Mattermost, it's the leading open source, self-hostable collaboration platform for developers, and an alternative to messaging chat tools like Slack and Microsoft Teams.

### Now Enterprise-Grade

The immediate benefit is gaining the hundreds of developer-years of enterprise-grade security, scalability, and operability that's built into Mattermost. Things like multi-factor authentication, user management, and system administration. It also now supports [channel-based permissions](/download/mattermost/#focalboard-permissions), which limits access to members of the associated (public or private) channel.

The bigger picture is deeper integration with chat-based messaging workflows, which we are building out in the coming months. This is where we believe Focalboard will be able to deliver a much better solution compared to what's currently out there. Stay tuned.

Don't worry, Focalboard Personal Editions are still available. Personal Desktop is the solution for individual personal use. If you are currently using Focalboard Personal Server, this might be the big upgrade you have been waiting for. You can simply export and re-import your boards into Mattermost-Focalboard.

### Check out Mattermost-Focalboard today!

If you are new to Mattermost, follow these [install steps](https://docs.mattermost.com/guides/install-deploy-upgrade-scale.html#mattermost-server), which are very similar to the steps for Focalboard Personal Server.

If you already have Mattermost, simply upgrade to [v5.36](https://mattermost.com/blog/mattermost-release-v5-36/) or newer.

Then follow [these steps](/download/mattermost/) to enable Focalboard.
